package client;

import com.sun.ejb31.test.Computable;
import com.sun.ejb31.test.AsyncComputable;
import com.sun.ejb31.test.HelloAsyncable;
import com.sun.ejte.ccl.reporter.SimpleReporterAdapter;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.Future;
import javax.ejb.EJB;

public class Client
{
   private static @EJB HelloAsyncable bean;
   private static @EJB Computable comp1;
   private static @EJB AsyncComputable comp2;
   
   private static SimpleReporterAdapter status =
        new SimpleReporterAdapter("appserver-sqe");
   private static boolean helloStatus=true;

   public static void main(String[] args) throws Exception
   {
      String testSuiteID = args[0];

      status.addDescription(" Testing EJB 3.0 DataTypes ");

     try {
        List<Future<String>> futures = new ArrayList<Future<String>>();

        for (int i=0; i<6; i++) {
                bean.someVoidMethod();
        }

        for (int i=0; i<6; i++) {
            futures.add(bean.sayHello(i));
        }

        for (int i=0; i<6; i++) {
            String value = futures.get(i).get();
            helloStatus = helloStatus && value.equals("Asynchronous foo got: " + i);
            System.out.println("<p> helloStatus = " + value + "</p>");
            System.out.println("<p>Hello status: " + helloStatus + "</p>");
        }
      	System.out.println(testSuiteID + " Create_row_MAXVAL: PASS");
        status.addStatus(testSuiteID + " ", status.PASS);
     } catch (Exception e) {
        System.out.println(testSuiteID + " Create_row_MAXVAL: FAIL");
        System.out.println("Exception Caught: " + e );
        status.addStatus(testSuiteID + " ", status.FAIL);
     }

     status.printSummary(" EJB 3.0 DataTypes Tests: ");
   }
}
